---
updatedAt: 2026-09-14T13:01:53.000Z
agentTools:
  projectIndex: https://developers.pandadoc.com/llms.txt
---

# Overview

To access PandaDoc APIs, you need to authenticate your requests.

PandaDoc API supports two authentication methods via headers:

1. **OAuth 2.0 Authentication**

> 📘
>
> OAuth 2.0 is the recommended authentication method for all new integrations

If you’re using OAuth 2.0, use this header instead:

```yaml HTTP
Authorization: Bearer {{oauth_key}}
```

2. **API Key Authentication**

> ⚠️
>
> API Key authentication is a legacy method maintained for backwards compatibility with existing integrations; new integrations should use OAuth 2.0

Add the following header to all your API requests:

```yaml HTTP
Authorization: API-Key {{api_key}}
```

> :information\_source: Useful links
>
> How to obtain [API key](https://developers.pandadoc.com/reference/api-key-authentication-process).
>
> How to obtain [OAuth token](https://developers.pandadoc.com/reference/oauth-20-authentication).